Skip to main content
POST
/
api2
/
v2
/
connectors
/
{connectorId}
/
folders
/
{folder}
/
files
/
{file}
Download file (async)
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v2/connectors/{connectorId}/folders/{folder}/files/{file} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "callbackUrl": "{\"callbackUrl\": \"https://www.yourdomain.com/callback_endpoint\"}",
  "sourceLang": "<string>",
  "targetLang": "<string>"
}
'
{
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "fileName": "<string>",
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

connectorId
string
required
folder
string
required
file
string
required

Body

application/json
callbackUrl
string
Example:

"{\"callbackUrl\": \"https://www.yourdomain.com/callback_endpoint\"}"

sourceLang
string
targetLang
string

Response

successful operation

action
enum<string>
Available options:
GUI_UPLOAD,
GUI_DOWNLOAD,
GUI_REIMPORT,
GUI_REIMPORT_TARGET,
CJ_UPLOAD,
CJ_DOWNLOAD,
APC_UPLOAD,
APC_DOWNLOAD,
API_UPLOAD,
API_DOWNLOAD,
SUBMITTER_PORTAL_DOWNLOAD
createdBy
object
dateCreated
string<date-time>
fileName
string
id
string